curl -X POST "https://api.stableyard.fi/v2/accounts/acc_123/keys/regenerate" \
-H "Authorization: Bearer sy_auth_*"
{
"apiKeys": {
"secretKey": "sy_secret_new_key",
"publicKey": "sy_pub_new_key",
"testSecretKey": "sy_test_secret_new_key",
"testPublicKey": "sy_test_pub_new_key",
"webhookSecret": "whsec_new_secret"
},
"requestId": "req_abc123"
}
Regenerate all API keys for the account
curl -X POST "https://api.stableyard.fi/v2/accounts/acc_123/keys/regenerate" \
-H "Authorization: Bearer sy_auth_*"
{
"apiKeys": {
"secretKey": "sy_secret_new_key",
"publicKey": "sy_pub_new_key",
"testSecretKey": "sy_test_secret_new_key",
"testPublicKey": "sy_test_pub_new_key",
"webhookSecret": "whsec_new_secret"
},
"requestId": "req_abc123"
}
sy_auth_*
curl -X POST "https://api.stableyard.fi/v2/accounts/acc_123/keys/regenerate" \
-H "Authorization: Bearer sy_auth_*"
{
"apiKeys": {
"secretKey": "sy_secret_new_key",
"publicKey": "sy_pub_new_key",
"testSecretKey": "sy_test_secret_new_key",
"testPublicKey": "sy_test_pub_new_key",
"webhookSecret": "whsec_new_secret"
},
"requestId": "req_abc123"
}